curl --request POST \
--url https://api.example.com/api/v1/schema/search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data @- <<EOF
{
"from": 0,
"size": 10,
"where": "field1='value' and field2<>'value2'",
"sort": [
{
"field": "timestamp",
"order": "Asc"
}
],
"trackTotal": false
}
EOF{
"data": [
{
"id": 1,
"createdAt": 123,
"updatedAt": 123,
"status": "ACTIVE",
"title": "<string>",
"name": "<string>",
"version": "0.0.1",
"description": "Detector schema description example",
"author": "<string>",
"icon": "<string>",
"tags": [
"<string>"
],
"networkTags": [
"<string>"
],
"faq": [
{
"name": "<string>",
"value": "<string>"
}
],
"schema": {
"$schema": "https://json-schema.org/draft/2020-12/schema",
"title": "Product",
"description": "Json schema example",
"type": "object",
"properties": {
"name": {
"description": "String property example",
"type": "string"
},
"version": {
"description": "Integer property example",
"type": "integer",
"exclusiveMinimum": 0
}
},
"required": [
"name",
"version"
]
},
"uiSchema": {}
}
],
"total": 123
}Search by params from response dto
curl --request POST \
--url https://api.example.com/api/v1/schema/search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data @- <<EOF
{
"from": 0,
"size": 10,
"where": "field1='value' and field2<>'value2'",
"sort": [
{
"field": "timestamp",
"order": "Asc"
}
],
"trackTotal": false
}
EOF{
"data": [
{
"id": 1,
"createdAt": 123,
"updatedAt": 123,
"status": "ACTIVE",
"title": "<string>",
"name": "<string>",
"version": "0.0.1",
"description": "Detector schema description example",
"author": "<string>",
"icon": "<string>",
"tags": [
"<string>"
],
"networkTags": [
"<string>"
],
"faq": [
{
"name": "<string>",
"value": "<string>"
}
],
"schema": {
"$schema": "https://json-schema.org/draft/2020-12/schema",
"title": "Product",
"description": "Json schema example",
"type": "object",
"properties": {
"name": {
"description": "String property example",
"type": "string"
},
"version": {
"description": "Integer property example",
"type": "integer",
"exclusiveMinimum": 0
}
},
"required": [
"name",
"version"
]
},
"uiSchema": {}
}
],
"total": 123
}Documentation Index
Fetch the complete documentation index at: https://docs.extractor.live/llms.txt
Use this file to discover all available pages before exploring further.
Authentication
Starting document offset
x >= 00
The number of hits to return
0 <= x <= 1000010
Query string to search for data. Represent SQL 'where'
"field1='value' and field2<>'value2'"
Sorting for the search
1Show child attributes
Return total results field if true